## studio-controls 2.1.0

=== Makefile ===
#!/usr/bin/make -f


CWD=source

# ---------------------------------------------------------------------------------------------------------------------

PREFIX     := /usr/local
BINDIR     := $(PREFIX)/bin
SBINDIR    := $(PREFIX)/sbin
LIBDIR     := $(PREFIX)/lib
DATADIR    := $(PREFIX)/share
DESTDIR    :=


all:
	echo "build finished"

install:

	# this one is special, it has to go in /etc
	install -d /etc/acpi/events
	install -m 644 etc/acpi/events/* /etc/acpi/events
	install -m 644 etc/acpi/studio.sh /etc/acpi

	# Everything else is $(DESTDIR)
	install -d $(DESTDIR)$(DATADIR)/applications
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/16x16/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/22x22/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/256x256/apps
	install -d $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps
	install -d $(DESTDIR)$(DATADIR)/man/man1
	install -d $(DESTDIR)$(DATADIR)/man/man2
	install -d $(DESTDIR)$(DATADIR)/polkit-1/actions
	install -d $(DESTDIR)$(DATADIR)/studio-controls

	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SBINDIR)
	install -d $(DESTDIR)$(LIBDIR)/systemd/system/ondemand.service.d
	install -d $(DESTDIR)$(LIBDIR)/systemd/system/multi-user.target.wants
	install -d $(DESTDIR)$(LIBDIR)/systemd/user/default.target.wants
	install -d $(DESTDIR)$(LIBDIR)/systemd/user/indicator-messages.service.wants

	# now the files
	install -m 644	usr/share/applications/studio-controls.desktop \
		$(DESTDIR)$(DATADIR)/applications
	install -m 644 usr/share/icons/hicolor/16x16/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/16x16/apps
	install -m 644 usr/share/icons/hicolor/22x22/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/22x22/apps
	install -m 644 usr/share/icons/hicolor/24x24/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps
	install -m 644 usr/share/icons/hicolor/48x48/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps
	install -m 644 usr/share/icons/hicolor/64x64/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps
	install -m 644 usr/share/icons/hicolor/128x128/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps
	install -m 644 usr/share/icons/hicolor/256x256/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/256x256/apps
	install -m 644 usr/share/icons/hicolor/scalable/apps/* \
		$(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps
	install -m 644 usr/share/man/man1/* \
		$(DESTDIR)$(DATADIR)/man/man1
	install -m 644 usr/share/man/man2/* \
		$(DESTDIR)$(DATADIR)/man/man2
	install -m 644 usr/share/polkit-1/actions/* \
		$(DESTDIR)$(DATADIR)/polkit-1/actions
	install -m 644 usr/share/studio-controls/* \
		$(DESTDIR)$(DATADIR)/studio-controls

	install -m 655 usr/bin/* \
		$(DESTDIR)$(BINDIR)
	install -m 655 usr/sbin/* \
		$(DESTDIR)$(SBINDIR)

	install -m 655 usr/lib/systemd/studio \
		$(DESTDIR)$(LIBDIR)/systemd
	install -m 644 usr/lib/systemd/system/studio-system.service \
		$(DESTDIR)$(LIBDIR)/systemd/system
	install -m 644 usr/lib/systemd/system/ondemand.service.d/studio.conf \
		$(DESTDIR)$(LIBDIR)/systemd/system/ondemand.service.d
	install -m 644 usr/lib/systemd/user/session-monitor.service \
		$(DESTDIR)$(LIBDIR)/systemd/user
	install -m 644 usr/lib/systemd/user/studio.service \
		$(DESTDIR)$(LIBDIR)/systemd/user

	# make links
	ln -s $(DESTDIR)$(LIBDIR)/systemd/system/studio-system.service \
		$(DESTDIR)$(LIBDIR)/systemd/system/multi-user.target.wants/studio-system.service
	ln -s $(DESTDIR)$(LIBDIR)/systemd/user/studio.service \
		$(DESTDIR)$(LIBDIR)/systemd/user/default.target.wants/studio.service
	ln -s $(DESTDIR)$(LIBDIR)/systemd/user/session-monitor.service \
		$(DESTDIR)$(LIBDIR)/systemd/user/indicator-messages.service.wants/session-monitor.service


# ---------------------------------------------------------------------------------------------------------------------

uninstall:
	rm -f etc/acpi/studio-*
	rm -f etc/acpi/studio.sh

	rm -f $(DESTDIR)$(DATADIR)/applications/studio-controls.desktop

	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/16x16/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/22x22/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/256x256/apps/studio-controls.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/studio-controls.svg

	rm -f $(DESTDIR)$(DATADIR)/man/man1/studio-controls.*
	rm -f $(DESTDIR)$(DATADIR)/man/man2/autojack.*
	rm -f $(DESTDIR)$(DATADIR)/man/man2/studio-system.*

	rm -f $(DESTDIR)$(DATADIR)/polkit-1/actions/com.studiocontrols.pkexec.studio-controls.policy

	rm -rf $(DESTDIR)$(DATADIR)/studio-controls

	rm -f $(DESTDIR)$(BINDIR)/autojack
	rm -f $(DESTDIR)$(BINDIR)/studio-controls

	rm -f $(DESTDIR)$(SBINDIR)/studio-system

	rm -f $(DESTDIR)$(LIBDIR)/systemd/studio
	rm -f $(DESTDIR)$(LIBDIR)/systemd/system/studio-system.service
	rm -rf $(DESTDIR)$(LIBDIR)/systemd/system/ondemand.service.d
	rm -f $(DESTDIR)$(LIBDIR)/systemd/system/multi-user.target.wants/studio-system.service

	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/session-monitor.service
	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/studio.service
	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/default.target.wants/studio.service
	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/indicator-messages.service.wants/session-monitor.service

## studio-controls 1.99.1

=== debian/changelog ===
studio-controls (1.99.1-0ubuntu1) groovy; urgency=medium

  * New icon, change to new package

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 13 May 2020 08:37:56 -0700

Old Changelog:

ubuntustudio-controls (1.12.6) groovy; urgency=medium

  [ Len Ovens ]
  * remove tablet code to fix (lp: #1867705)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 08 May 2020 13:56:28 -0700

ubuntustudio-controls (1.12.5) groovy; urgency=medium

  [Len Ovens]
  * Check if device has a description before trying to use it (lp: #1872187)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 29 Apr 2020 08:34:59 -0700

ubuntustudio-controls (1.12.4) focal; urgency=high

  [ Len Ovens ]
  * Fix USB bridge checkbox so it actually changes states (LP #1872250)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 12 Apr 2020 17:58:04 -0700

ubuntustudio-controls (1.12.3) focal; urgency=medium

  * Remove symlink creation from postinst, make relative symlinks

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 02 Mar 2020 20:58:50 -0800

ubuntustudio-controls (1.12.2) focal; urgency=medium

  [ Len Ovens ]
  * Hide tablet GUI until next cycle

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 01 Mar 2020 16:05:13 -0800

ubuntustudio-controls (1.12.1) focal; urgency=medium

  * Fix for inappropriate useradd in ubuntustudio-system (should be usermod)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 29 Feb 2020 15:00:37 -0800

ubuntustudio-controls (1.12) focal; urgency=medium

  [ Len Ovens ]
  * Check if device really has gone on device removed signal
  * Save last valid internal device
  * Move config file to it's own sub directory to allow more files
  * Refactor PA bridging
  * Add Xrun counter and reset button
  * Properly stop zita-ajbridge with SIGINT instead of SIGKILL
  * Read zita-ajbridge return value to avoid zombie processes
  * Split audio setup page into three tabs
  * Allow user to name Pulse bridges
  * Fix error with no pulse bridge
  * Make pulse bridge connections into a drop down
  * Removed inoperable firewire backend - use ALSA
  * Use log levels for logging
  * move to systemd starting for autojack
  * Make sure session shuts down on logout (LP #1860152)

  [ Brian Hechinger ]
  *  NO-OP: Updated formatting for PEP8
  * Converted config file handling from home-grown to configparser  

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 19 Jan 2020 21:09:53 -0800

ubuntustudio-controls (1.11.3) eoan; urgency=medium

  [ Len Ovens ]
  * The zita bridge should not have a latency less than 64 samples (LP #1844706) 

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 19 Sep 2019 10:17:47 -0700

ubuntustudio-controls (1.11.2) eoan; urgency=medium

  [ Len Ovens ]
  * Set zita-ajbridge to a sample rate the device supports (LP: #1843926)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 17 Sep 2019 14:55:40 -0700

ubuntustudio-controls (1.11.1) eoan; urgency=medium

  [ Len Ovens ]
  * Don't run Carla if it is not installed (LP: #1842012)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 29 Aug 2019 19:59:21 -0700

ubuntustudio-controls (1.11) eoan; urgency=medium

  [ Len Ovens ]
  * Fix devices with no name cause crash (LP: #1841451)
  * Raise version check for autojack to make sure new one is started 

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 27 Aug 2019 09:50:10 -0500

ubuntustudio-controls (1.10) eoan; urgency=medium

  [Len Ovens]
  * Change all subprocess from string to array and shell=False
  * Add ability to set i/o channel count
  * Made sure each backend only gets parameters it can handle
  * Allow auto bridged USB devices to be input only

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 18 Jul 2019 14:18:25 -0700

ubuntustudio-controls (1.9.1) eoan; urgency=medium

  * Demoted carla from depends to recommends

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 13 Jun 2019 11:07:41 -0700

ubuntustudio-controls (1.9) eoan; urgency=medium

  [ Len Ovens ]
  * Default devices must be valid devices (LP: #1822463)
  * Removed Jack autostart checkbox
  * Added Jack Running indicator
  * Fixed change log chronology
  * Added jack backend setting
  * Use Jack state on start up
  * Update dbus usage
  * Allow for more than one pulse-jack bridge
  * Add QASmixer, Pulse and Carla start buttons
  * Monitor jack with call back gives less logfile noise
  * Make sure autojack is synced with GUI

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 28 May 2019 14:54:22 -0700

ubuntustudio-controls (1.8) eoan; urgency=medium

  [ Len Ovens ]
  * Add to ROADMAP next steps

  [ Ross Gammon ]
  * Set check box status correctly from config file (LP: #1826413)

 -- Ross Gammon <rossgammon@debian.org>  Fri, 26 Apr 2019 15:34:52 +0200

ubuntustudio-controls (1.7) disco; urgency=medium

  [ Len Ovens ]
  * Fix double daemon startup (LP: #1798927)
  * Fix governor setting over boot (LP: #1809024)
  * Remove file left over from before
  * Properly ecape variables in logger lines
  * Do not set group if UID is less than 999
  * Change Latency to Buffer size (LP: #1815240)

 -- Ross Gammon <rossgammon@debian.org>  Mon, 18 Feb 2019 21:51:15 +0100

ubuntustudio-controls (1.6) cosmic; urgency=medium

  [ Ross Gammon ]
  * Bump standards version to 4.2.1, no changes required
  * Set distribution to cosmic

  [ Len Ovens ]
  * Make sure /lib files get installed (LP: #1791457)
  * Make GUI's default match backend (LP: #1791459)

 -- Ross Gammon <rossgammon@debian.org>  Sat, 06 Oct 2018 17:56:37 +0200

ubuntustudio-controls (1.5) cosmic; urgency=medium

  [ Len Ovens ]
  * Rewrote so that GUI does not run sudo.
  * Added functionality to Audio settings
  * GUI correctly writes file, jack starts and connects to pulse
    correctly
  * fix not loading values from rc file, zita likes lower buffer size
  * fix jack checkbox, fix extra device reading from rc file
  * Add readme file
  * Changed device name to card,device,sub with some info


=== debian/control ===
Source: studio-controls
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Len Ovens <len@ovenwerks.net>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Vcs-Git: https://github.com/ovenwerks/studio-controls.git
Vcs-Browser: https://github.com/ovenwerks/studio-controls.git
Homepage: https://github.com/ovenwerks/studio-controls.git

Package: studio-controls
Architecture: all
Depends: a2jmidid,
         jackd2,
         pulseaudio-module-jack,
         python3-dbus,
         python3-gi,
         python3,
         python3-jack-client,
         zita-ajbridge,
         qasmixer,
         pavucontrol,
         ${misc:Depends}
Suggests: carla
Conflicts: cadence, ubuntustudio-controls (<< 1.13)
Replaces: ubuntustudio-controls (<< 1.13)
Description: Studio Controls - Jack Audio Configuration Tool
 Studio Controls is a small application that enables/disables realtime
 privilege for users and controls jackdbus. It allows Jackdbus to be run from
 session start. It also will detect USB audio devices getting plugged in after
 session start and optionally connect them to jackdbus as a client or switch
 them in as jackdbus master.

## studio-controls 1.99.2

=== debian/changelog ===
studio-controls (1.99.2-0ubuntu1) groovy; urgency=medium

  * New upstream version 1.99.2

  [ Erich Eickmeyer ]
  * Add white glow to icon to increase visibilty

  [ Len Ovens ]
  * Start work on head phone detection
  * Force PCH devices to be at least 128 buffer in extra devices
  * Remove old jackdbus settings file before starting jack

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 24 Jun 2020 11:03:05 -0700

## studio-controls 2.0.0

=== debian/changelog ===
studio-controls (2.0.0-0ubuntu1) groovy; urgency=medium

  [ Erich Eickmeyer ]
  * Add white glow to icon to increase visibilty

  [ Len Ovens ]
  * Head phone detection for PCH devices added
  * Force PCH devices to be at least 128 buffer in extra devices
  * Remove old jackdbus settings file before starting jack
  * Pulse connect port extended to all Physical ports
  * Fixed extra devices that are not sub device 0 don't work
  * Fixed Apply for input only
  * USB units with sub devices other than 0 will now auto connect
  * Added extra logging level for lots of output
  * Added better method of finding device sample rate
  * Added new depend: python3-alsaaudio
  * Detect headphone plug state on startup
  * Use direct alsa mixer manipulation
  * Add manual headphone switching
  * Add ability use outputs other than system:playback_1/2
  * general code clean up
  * Readded Firewire backend
  * Added fixes for alsa firewire devices
  * make sure extra devices work correctly with all backends

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 21 Jul 2020 19:29:00 -0700

## studio-controls 2.0.1

=== debian/changelog ===
studio-controls (2.0.1-0ubuntu2) groovy; urgency=medium

  * Remove notes.txt from docs

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 23 Jul 2020 15:52:21 -0700

studio-controls (2.0.1-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * Use saved value for device instead index - bug fix
  * Log file too long re-enable log rotate - bugfix
  * dynamicly set default audio device - bugfix
  * Make sure bridges are created before connecting
  * Check if headphone device exists before checking (lp: #1888588)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 23 Jul 2020 15:10:01 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Len Ovens <len@ovenwerks.net>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/ovenwerks/studio-controls.git
 Vcs-Browser: https://github.com/ovenwerks/studio-controls.git
 Homepage: https://github.com/ovenwerks/studio-controls.git
@@ -21,6 +21,7 @@
          zita-ajbridge,
          qasmixer,
          pavucontrol,
+         python3-alsaaudio,
          ${misc:Depends}
 Suggests: carla
 Conflicts: cadence, ubuntustudio-controls (<< 1.13)

## studio-controls 2.0.4

=== debian/changelog ===
studio-controls (2.0.4-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * Fix spelling mistake
  * Fix wrong indent
  * Add "NVidia" to HDMI names
  * Add a readout of the configuration to logging

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 25 Jul 2020 17:10:55 -0700

studio-controls (2.0.3-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * Make sure to use default-device and not PCH everywhere
  * Catch pulse connection port is integer
  * No more support for older config file
  * Logging should have log level set at read config file
  * Autojack needs to import glob before using it - bug fix

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 24 Jul 2020 20:11:20 -0700

## studio-controls 2.0.5

=== debian/changelog ===
studio-controls (2.0.5-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * Add lockfile to autojack to prevent two instances running
  * Add lockfile to studio-controls to prevent two instances running
  * Depend on zita-ajbridge version 0.8.4 fixes (lp: #1889146)
  * Fix phones detection for USB phones when not plugged in
  * Catch jack error messages so they don't alarm user
  * studio-controls: Catch system signals to exit
  * up autojack signal version

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 07 Aug 2020 09:40:17 -0700

## studio-controls 2.0.6

=== debian/changelog ===
studio-controls (2.0.6-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  *  bugfix for variable used before initialized 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Sep 2020 13:09:39 -0700

## studio-controls 2.0.7

=== debian/changelog ===
studio-controls (2.0.7-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * "MONITOR" should never be 'none'

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 12 Sep 2020 08:14:52 -0700

## studio-controls 2.0.8

=== debian/changelog ===
studio-controls (2.0.8-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * Catch value 0 from old config file

  [ Erich Eickmeyer ]
  * debian/control: Update maintainer

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 21 Sep 2020 11:01:08 -0700

## studio-controls 2.0.9

=== debian/changelog ===
studio-controls (2.0.9-0ubuntu1) groovy; urgency=medium

  [ Len Ovens ]
  * Fixed: Wrong variable used causing incorrect port to be chosen (LP: #1898369)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 06 Oct 2020 14:43:43 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: studio-controls
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 XSBC-Original-Maintainer: Len Ovens <len@ovenwerks.net>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0

## studio-controls 2.1.0

=== debian/changelog ===
studio-controls (2.1.0-0ubuntu1) hirsute; urgency=medium

  [ Len Ovens ]
  * Add docs directory and start documentation
  * Move docs to docs branch
  * Limit sample rates to those device supports
  * Add webpage to README
  * GUI was setting a config param with string instead of bool
  * Convert utility will update config file version
  * Fix pulse widgets at startup
  * Add more tooltips
  * Remove duplicate device in USB JACK master
  * Don't remove device type once set
  * Reset device number before device scan
  * Make sure jack client is cleaned up with USB master unplug
  * Don't restart jack unless we need to.
  * Fix version file name in convert
  * Add JACK log file rotate 
  * Add version file
  * Arrange widgets in jack master and extra devices
  * Skip USB MIDI devices
  * Change GUI to add channel count to Pulse-jack bridges
  * Add pulse bridge channel count to autojack as well
  * Clean up code in studio-controls file
  * Add Session Manager tab
  * Add jack connection mode setting
  * Move systemd to usr/lib
  * Add a makefile
  * Make pulse connections use count as well
  * JACK should be all caps in the GUI
  * Add session manager launch buttons
  * Moved first jack startup out of main for crash proofing
  * Moved jack callbacks out of main for crash proofing
  * Use direct dbus calls instead of executing jack_control
  * Don't list loopback devices or put them last
  * set default icon
  * change config file to json to allow easier grouping of device data
  * Allow setting each device's parameters
  * Change GUI to show one extra device at a time
  * Allow setting non-USB device backup when USB device in use
  * Update ping version to make sure autojack will use new config file
  * Fix extra devices latency limits

  [ Erich Eickmeyer ]
  * d/control: conflict/replace prior released version  

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 08 Jan 2021 05:24:49 -0800

## studio-controls 2.1.1

=== debian/changelog ===
studio-controls (2.1.1-0ubuntu1) hirsute; urgency=medium

  [ Len Ovens ]
  * Fix won't run from /usr/local
  * Fix convert-studio-controls logic

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 22 Jan 2021 13:22:48 -0800

## studio-controls 2.1.2

=== debian/changelog ===
studio-controls (2.1.2-0ubuntu1) hirsute; urgency=medium

  [ Len Ovens ]
  * fix missing parameter default set
  * fix check jack client exists

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 29 Jan 2021 12:59:21 -0800

## studio-controls 2.1.3

=== debian/changelog ===
studio-controls (2.1.3-0ubuntu1) hirsute; urgency=medium

  [ Len Ovens ]
  * Catch jack connect exceptions
  * Search for clients with : included to prevent false positive 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 25 Feb 2021 09:02:11 -0800

## studio-controls 2.1.4

=== debian/changelog ===
studio-controls (2.1.4-0ubuntu1) hirsute; urgency=medium

  [ Len Ovens ]
  * Apparently regex doesn't see : filter out bad positives 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 01 Mar 2021 07:41:52 -0800

## studio-controls 2.1.63~beta

=== debian/changelog ===
studio-controls (2.1.63~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * Fix autojack hang
  * Fix various usbdev bugs
  * Fix zita-njbridge install warning

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 May 2021 09:33:49 -0700

studio-controls (2.1.62~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * Bugfix, convert usbdev correctly

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 06 May 2021 17:36:32 -0700

studio-controls (2.1.61~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New beta release for 2.2.0

  [ Len Ovens ]
  * Bugfix, don't close jack client if it fails to open

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 05 May 2021 10:14:49 -0700

studio-controls (2.1.60~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * Beta release for 2.2.0

  [ Len Ovens ]
  * Add not applied dialog on exit
  * Add user script for pre/post start/stop
  * Add custom extra device naming
  * Re-imagine the GUI
  * Add qmidinet starting for networked MIDI
  * Add zita-njbridge for networked audio
  * Add JACK and bridge extra latency
  * Fixed bridge find rate
  * Fixed device number setting in device DB
  * Add post bridge script
  * fix JACK status not restarting on Apply
  * fix audio net bridge not accepting changes
  * IP/port should be for the receiver
  * Make fields not applicable for direction insensitive

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 05 May 2021 07:14:40 -0700

## studio-controls 2.1.64~beta

=== debian/changelog ===
studio-controls (2.1.64~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * fix spelling mistake that prevents a2jmidid start

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 May 2021 14:23:37 -0700

## studio-controls 2.1.65~beta

=== debian/changelog ===
studio-controls (2.1.65~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * Change qasmixer button to drop down fixes no device
  * Convert checks each value for sanity
  * Convert checks for duplicate devices

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 14 Jun 2021 08:51:24 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://github.com/ovenwerks/studio-controls.git
 Vcs-Browser: https://github.com/ovenwerks/studio-controls.git
-Homepage: https://github.com/ovenwerks/studio-controls.git
+Homepage: http://www.ovenwerks.net/software/controls/index.html
 
 Package: studio-controls
 Architecture: all
@@ -24,8 +24,8 @@
          python3-alsaaudio,
          ${misc:Depends}
 Suggests: carla
-Conflicts: cadence, ubuntustudio-controls (<< 1.13)
-Replaces: ubuntustudio-controls (<< 1.13)
+Conflicts: cadence, ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
+Replaces: ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
 Description: Studio Controls - Jack Audio Configuration Tool
  Studio Controls is a small application that enables/disables realtime
  privilege for users and controls jackdbus. It allows Jackdbus to be run from

## studio-controls 2.1.67~beta

=== debian/changelog ===
studio-controls (2.1.67~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * Fix spelling and punctuation
  * Add if statment to only see real devices

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Jun 2021 19:39:57 +0000

studio-controls (2.1.66~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta
  * Added zita-njbridge to recommends

  [ Len Ovens ]
  * Fix extra mixers opening
  * Make sure all devices are fully populated
 
 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Jun 2021 16:50:37 +0000

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,22 @@
 
 Package: studio-controls
 Architecture: all
-Depends: a2jmidid,
-         jackd2,
-         pulseaudio-module-jack,
-         python3-dbus,
-         python3-gi,
-         python3,
-         python3-jack-client,
-         zita-ajbridge,
-         qasmixer,
-         pavucontrol,
-         python3-alsaaudio,
-         ${misc:Depends}
-Suggests: carla
-Conflicts: cadence, ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
-Replaces: ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
+Depends:    a2jmidid,
+            jackd2,
+            pulseaudio-module-jack,
+            python3-dbus,
+            python3-gi,
+            python3,
+            python3-jack-client,
+            zita-ajbridge,
+            qasmixer,
+            pavucontrol,
+            python3-alsaaudio,
+            ${misc:Depends}
+Recommends: zita-njbridge
+Suggests:   carla
+Conflicts:  cadence, ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
+Replaces:   ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
 Description: Studio Controls - Jack Audio Configuration Tool
  Studio Controls is a small application that enables/disables realtime
  privilege for users and controls jackdbus. It allows Jackdbus to be run from

## studio-controls 2.1.68~beta

=== debian/changelog ===
studio-controls (2.1.68~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * Fix USB plug in/out detection (dbus changed)
  * Change convert to match
  * Make studio-controls use convert from correct path
  * fix window size change from jack status
  * Use correct version when checking if our version config exists
  * Fix JACK status to show more info
  * Fix USB devices not connected at jack startup
  * Shutdown a2jmidid properly for less error messages

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 21 Jun 2021 19:29:45 +0000

## studio-controls 2.1.70~beta

=== debian/changelog ===
studio-controls (2.1.70~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * Fix issue #56 init variable
  * Fix false not applied trigger
  * Xrun count done in autojack so count remains through controls restart

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 18 Jul 2021 20:31:49 +0000

studio-controls (2.1.69~beta-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream beta

  [ Len Ovens ]
  * First run default device if no internal device fix
  * Fix bug if no rates in list (issue #59)
  * Code cleanup
  * Default device should bridge by default
  * Unused Jack Master should be a usable extra device

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 16 Jul 2021 16:04:26 +0000

## studio-controls 2.2.0

=== debian/changelog ===
studio-controls (2.2.0-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.2.0
  * Add qmidinet as recommends
  * Add zita-njbridge to recommends

  [ Len Ovens ]
  * Use dbus to query jack for xruns (issue #62)
  * Use dbus to query jack for DSP value
  * If device name is already converted use the converted name. 
  * Fix issue #56 init variable
  * Fix false not applied trigger
  * Xrun count done in autojack so count remains through controls restart
  * First run default device if no internal device fix
  * Fix bug if no rates in list (issue #59)
  * Code cleanup
  * Default device should bridge by default
  * Unused Jack Master should be a usable extra device
  * Fix USB plug in/out detection (dbus changed)
  * Change convert to match
  * Make studio-controls use convert from correct path
  * fix window size change from jack status
  * Use correct version when checking if our version config exists
  * Fix JACK status to show more info
  * Fix USB devices not connected at jack startup
  * Shutdown a2jmidid properly for less error messages
  * Fix spelling and punctuation
  * Add if statment to only see real devices
  * Fix extra mixers opening
  * Make sure all devices are fully populated
  * Change qasmixer button to drop down fixes no device
  * Convert checks each value for sanity
  * Convert checks for duplicate devices
  * fix spelling mistake that prevents a2jmidid start
  * Fix autojack hang
  * Fix various usbdev bugs
  * Fix zita-njbridge install warning
  * Bugfix, convert usbdev correctly
  * Bugfix, don't close jack client if it fails to open
  * Add not applied dialog on exit
  * Add user script for pre/post start/stop
  * Add custom extra device naming
  * Re-imagine the GUI
  * Add qmidinet starting for networked MIDI
  * Add zita-njbridge for networked audio
  * Add JACK and bridge extra latency
  * Fixed bridge find rate
  * Fixed device number setting in device DB
  * Add post bridge script
  * fix JACK status not restarting on Apply
  * fix audio net bridge not accepting changes
  * IP/port should be for the receiver
  * Make fields not applicable for direction insensitive

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 11 Aug 2021 18:09:00 -0700

## studio-controls 2.2.1

=== debian/changelog ===
studio-controls (2.2.1-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.2.1

  [ Len Ovens ]
  * Force the firewire key to exist in all devices

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 14 Aug 2021 22:41:43 -0700

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
             pavucontrol,
             python3-alsaaudio,
             ${misc:Depends}
-Recommends: zita-njbridge
+Recommends: qmidinet,
+            zita-njbridge
 Suggests:   carla
 Conflicts:  cadence, ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)
 Replaces:   ubuntustudio-controls (<< 1.13), studio-controls (<= 2.0.9-0ubuntu1)

## studio-controls 2.2.2

=== debian/changelog ===
studio-controls (2.2.2-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * Wrap autojack startup
  * Update studio.service
  * Change scalable icon to plain svg (was inkscape)
  * Add additional icon sizes

  [ Len Ovens ]
  * add debug messages

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 16 Sep 2021 10:17:14 -0700

## studio-controls 2.2.3

=== debian/changelog ===
studio-controls (2.2.3-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.2.3

  [ Len Ovens ]
  * Run convert at session start to ensure config exists (LP: #1944607)
  * Convert should not add a none device to device db
  * Fix default device selection (LP: #1944607)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 22 Sep 2021 14:16:17 -0700

## studio-controls 2.2.4

=== debian/changelog ===
studio-controls (2.2.4-0ubuntu1) impish; urgency=medium

  * New upstream bugfix release 2.2.4
    - Merely sets executable bit on /usr/bin/autojack-start

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 24 Sep 2021 10:45:05 -0700

## studio-controls 2.2.5

=== debian/changelog ===
studio-controls (2.2.5-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream bugfix release 2.2.5

  [ Len Ovens ]
  * Fix no rates found for card (LP: #1938075)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 04 Oct 2021 18:51:49 -0700

## studio-controls 2.2.6

=== debian/changelog ===
studio-controls (2.2.6-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream bugfix release 2.2.6

  [ Len Ovens ]
  * Initialize variable (LP: #1946268)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 07 Oct 2021 08:25:05 -0700

## studio-controls 2.2.7

=== debian/changelog ===
studio-controls (2.2.7-0ubuntu1) impish; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream bugfix release 2.2.7

  [ Len Ovens ]
  * Set device rates properly (LP: #1946572)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 10 Oct 2021 14:55:20 -0700

## studio-controls 2.2.8

=== debian/changelog ===
studio-controls (2.2.8-0ubuntu3) jammy; urgency=medium

  * Add patch to use new icon name in titlebar

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 Jan 2022 20:49:31 -0800

studio-controls (2.2.8-0ubuntu2) jammy; urgency=medium

  * Add patch to fix icon confusion with android studio

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 18 Jan 2022 17:32:48 -0800

studio-controls (2.2.8-0ubuntu1) jammy; urgency=medium

  [ Erich Eickmeyer]
  * New upstream release 2.2.8

  [ Len Ovens ]
  * USB devices may be less than 3 char 
  * Convert old style int to name (LP: #1950817)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 16 Nov 2021 09:08:28 -0800

## studio-controls 2.2.9

=== debian/changelog ===
studio-controls (2.2.9-0ubuntu1) jammy; urgency=medium

  [ Len Ovens ]
  * Remove reference to zdev
  * make sure empty lock file works
  * Don't kill Pulse alsa if no bridges
  * Fix spelling mistake (issue #72)
  * Change logging name to AutoJack instead of root
  * Allow setting -u for a2jmidid (issue #63)
  * use path for spawning subprocesses
  * Use either pavucontrol or pavucontrol-qt
  * Use python dbus instead of dbus-send
  * Change autojack status to use dbus parameter
  * Don't accept USB plug change if device list has not changed
 
  [ Erich Eickmeyer ]
  * Change icon and .desktop filenames to avoid confusion with Android Studio
    - Also complies with latest XDG standards
  * Update to use new icon filename in application titlebar
  * Bump standards-version
  * Remove upstreamed patches
  * Updated d/copyright dates

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 11 Feb 2022 21:54:28 -0800

## studio-controls 2.3.0

=== debian/changelog ===
studio-controls (2.3.0-0ubuntu1) jammy; urgency=medium

  [ Len Ovens ]
  * Test path correctly (issue #76)

  [ Erich Eickmeyer ]
  * Switch away from ondemand.service.d for CPU governorship
    - Use studio-system.service instead
  * Add d/postinst and d/preinst to enable/disable studio-system.service
    upon install/removal

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 22 Feb 2022 20:37:01 -0800

## studio-controls 2.3.1

=== Makefile ===
--- 
+++ 
@@ -101,8 +101,8 @@
 # ---------------------------------------------------------------------------------------------------------------------
 
 uninstall:
-	rm -f etc/acpi/studio-*
-	rm -f etc/acpi/studio.sh
+	rm -f /etc/acpi/studio-*
+	rm -f /etc/acpi/studio.sh
 
 	rm -f $(DESTDIR)$(DATADIR)/applications/studio-controls.desktop

=== debian/changelog ===
studio-controls (2.3.1-0ubuntu1) jammy; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.1

  [ Len Ovens ]
  * Monitor should test for system: (issue #77)
  * Prevent hang if alsaaudio can't access mixer (LP: #1964862)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 29 Mar 2022 11:01:40 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 XSBC-Original-Maintainer: Len Ovens <len@ovenwerks.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://github.com/ovenwerks/studio-controls.git
 Vcs-Browser: https://github.com/ovenwerks/studio-controls.git
 Homepage: http://www.ovenwerks.net/software/controls/index.html
@@ -20,7 +20,7 @@
             python3-jack-client,
             zita-ajbridge,
             qasmixer,
-            pavucontrol,
+            pavucontrol | pavucontrol-qt,
             python3-alsaaudio,
             ${misc:Depends}
 Recommends: qmidinet,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
    # We don't use the makefile, it was made for other distros such as Arch

override_dh_auto_install:
	# We don't use make install, that was done for other distros such as Arch

## studio-controls 2.3.2

=== debian/changelog ===
studio-controls (2.3.2-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.2
  * Remove obsolete patches
  * Remove obsolete maintscript

  [ Len Ovens ]
  * Move studio-controls-convert to a module
  * Change makefile for file differences
  * Device scanning in convert uses installed devices
  * Studio-controls uses module device scan (issue #75)
  * Autojack uses module for device scan
  * Fix pke spelling (LP #1969827)
  * Fix missing globals
  * Make python scripts coding style work with pep8
  * Default zita-ajbridge name should not be none
  * Fix headphone switching for non-default setup
  * Change startup to xdg autostart (LP #1972896)
  * Don't switch to jack port unless it is there
  * Don't error out if connection already exists
  * Make sure jack latency dropdown has valid selection
  * Add commandline utility for some operations
  * Use direct query to jackdbus to check for Running
  * Don't allow running as system or root
  * Use file locking to make sure a read get the whole database
  * Headphones now include port number and can use JACK master
  * Update man pages
  * Fixed many bugs

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 May 2022 20:07:05 -0700

studio-controls (2.3.1-0ubuntu2) jammy; urgency=medium

  [ Len Ovens ] 
  * Patch to properly run pkexec for FFADO configuration (LP: #1969827)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 21 Apr 2022 17:47:29 -0700

## studio-controls 2.3.3

=== debian/changelog ===
studio-controls (2.3.3-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.3

  [ Len Ovens ]
  * Use dbus calls to detect jack state
  * Make sure device pid is removed when zita-ajbridge is killed
  * Make sure there is only one pulseaudio running

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 09 Jun 2022 09:17:35 -0700

## studio-controls 2.3.4

=== debian/changelog ===
studio-controls (2.3.4-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.4

  [ Len Ovens ]
  * When adding extra devices allow zita to complete before next device
    (issue #80)
  * Don't try to detect valid SR, use device info files instead (issue #81)
  * Reinitialize alsa devices before jack startup

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 09 Jun 2022 11:40:35 -0700

## studio-controls 2.3.5

=== debian/changelog ===
studio-controls (2.3.5-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.5

  [ Len Ovens ]
  * Properly prevent duplicate device records
  * Skip device numbers that don't exist but look for higher numbers
  * Fix type, compare string to string

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 10 Jun 2022 21:18:29 -0700

## studio-controls 2.3.7

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	install -d $(DESTDIR)$(LIBDIR)/systemd/system/multi-user.target.wants
 	install -d $(DESTDIR)$(LIBDIR)/systemd/user/default.target.wants
 	install -d $(DESTDIR)$(LIBDIR)/systemd/user/indicator-messages.service.wants
+	install -d $(DESTDIR)$(LIBDIR)/python3/dist-packages
 
 	# now the files
 	install -m 644	usr/share/applications/studio-controls.desktop \
@@ -88,12 +89,12 @@
 		$(DESTDIR)$(LIBDIR)/systemd/user
 	install -m 644 usr/lib/systemd/user/studio.service \
 		$(DESTDIR)$(LIBDIR)/systemd/user
+	install -m 655 usr/lib/python3/dist-packages/* \
+		$(DESTDIR)$(LIBDIR)/python3/dist-packages
 
 	# make links
 	ln -s $(DESTDIR)$(LIBDIR)/systemd/system/studio-system.service \
 		$(DESTDIR)$(LIBDIR)/systemd/system/multi-user.target.wants/studio-system.service
-	ln -s $(DESTDIR)$(LIBDIR)/systemd/user/studio.service \
-		$(DESTDIR)$(LIBDIR)/systemd/user/default.target.wants/studio.service
 	ln -s $(DESTDIR)$(LIBDIR)/systemd/user/session-monitor.service \
 		$(DESTDIR)$(LIBDIR)/systemd/user/indicator-messages.service.wants/session-monitor.service
 
@@ -116,6 +117,7 @@
 	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/studio-controls.svg
 
 	rm -f $(DESTDIR)$(DATADIR)/man/man1/studio-controls.*
+	rm -f $(DESTDIR)$(DATADIR)/man/man1/studio-cmd.*
 	rm -f $(DESTDIR)$(DATADIR)/man/man2/autojack.*
 	rm -f $(DESTDIR)$(DATADIR)/man/man2/studio-system.*
 
@@ -124,6 +126,7 @@
 	rm -rf $(DESTDIR)$(DATADIR)/studio-controls
 
 	rm -f $(DESTDIR)$(BINDIR)/autojack
+	rm -f $(DESTDIR)$(BINDIR)/studio-cmd
 	rm -f $(DESTDIR)$(BINDIR)/studio-controls
 
 	rm -f $(DESTDIR)$(SBINDIR)/studio-system
@@ -132,9 +135,8 @@
 	rm -f $(DESTDIR)$(LIBDIR)/systemd/system/studio-system.service
 	rm -rf $(DESTDIR)$(LIBDIR)/systemd/system/ondemand.service.d
 	rm -f $(DESTDIR)$(LIBDIR)/systemd/system/multi-user.target.wants/studio-system.service
+	rm -f $(DESTDIR)$(LIBDIR)/python3/dist-packages/auto_jack.py
 
 	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/session-monitor.service
-	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/studio.service
-	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/default.target.wants/studio.service
 	rm -f $(DESTDIR)$(LIBDIR)/systemd/user/indicator-messages.service.wants/session-monitor.service

=== debian/changelog ===
studio-controls (2.3.7-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.7

  [ Len Ovens ]
  * Ensure value exists before using in auto_jack.py
  * Ensure value exists before using in autojack
  * Don't read empty lock file

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 19 Aug 2022 13:20:18 -0700

studio-controls (2.3.6-0ubuntu1) kinetic; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.6
  * Bump standards-version

  [ Len Ovens ]
  * Extra delay when starting to avoid race condition
  * Set all DBUS call backs to only set a variable
  * Check_jack_status now runs actual dbus calls to prevent dbus loop

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 18 Aug 2022 09:32:59 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 XSBC-Original-Maintainer: Len Ovens <len@ovenwerks.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://github.com/ovenwerks/studio-controls.git
 Vcs-Browser: https://github.com/ovenwerks/studio-controls.git
 Homepage: http://www.ovenwerks.net/software/controls/index.html
